Package org.eclipse.handly.ui.viewer

## Class CompositeLabelDecorator

- java.lang.Object
- - org.eclipse.handly.ui.viewer.CompositeLabelDecorator

- All Implemented Interfaces:
    `org.eclipse.jface.viewers.IBaseLabelProvider`, `org.eclipse.jface.viewers.IColorDecorator`, `org.eclipse.jface.viewers.IDelayedLabelDecorator`, `org.eclipse.jface.viewers.IFontDecorator`, `org.eclipse.jface.viewers.ILabelDecorator`

      public class CompositeLabelDecorator
      extends java.lang.Object
      implements org.eclipse.jface.viewers.ILabelDecorator, org.eclipse.jface.viewers.IFontDecorator, org.eclipse.jface.viewers.IColorDecorator, org.eclipse.jface.viewers.IDelayedLabelDecorator

  Composes multiple label decorators into one.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompositeLabelDecorator​(org.eclipse.jface.viewers.ILabelDecorator... decorators)` | Creates a composition of the given label decorators.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(org.eclipse.jface.viewers.ILabelProviderListener listener)` |
    `org.eclipse.swt.graphics.Color` | `decorateBackground​(java.lang.Object element)` |
    `org.eclipse.swt.graphics.Font` | `decorateFont​(java.lang.Object element)` |
    `org.eclipse.swt.graphics.Color` | `decorateForeground​(java.lang.Object element)` |
    `org.eclipse.swt.graphics.Image` | `decorateImage​(org.eclipse.swt.graphics.Image image, java.lang.Object element)` |
    `java.lang.String` | `decorateText​(java.lang.String text, java.lang.Object element)` |
    `void` | `dispose()` |
    `boolean` | `isLabelProperty​(java.lang.Object element, java.lang.String property)` |
    `boolean` | `prepareDecoration​(java.lang.Object element, java.lang.String originalText)` |
    `void` | `removeListener​(org.eclipse.jface.viewers.ILabelProviderListener listener)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeLabelDecorator

          public CompositeLabelDecorator​(org.eclipse.jface.viewers.ILabelDecorator... decorators)

      Creates a composition of the given label decorators. The decorators will be applied in the given order.
      Parameters:
        `decorators` - the label decorators to compose

  - ### Method Detail

    - #### addListener

          public void addListener​(org.eclipse.jface.viewers.ILabelProviderListener listener)

      Specified by:
        `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

    - #### removeListener

          public void removeListener​(org.eclipse.jface.viewers.ILabelProviderListener listener)

      Specified by:
        `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

    - #### isLabelProperty

          public boolean isLabelProperty​(java.lang.Object element,
                                         java.lang.String property)

      Specified by:
        `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

    - #### decorateText

          public java.lang.String decorateText​(java.lang.String text,
                                               java.lang.Object element)

      Specified by:
        `decorateText` in interface `org.eclipse.jface.viewers.ILabelDecorator`

    - #### decorateImage

          public org.eclipse.swt.graphics.Image decorateImage​(org.eclipse.swt.graphics.Image image,
                                                              java.lang.Object element)

      Specified by:
        `decorateImage` in interface `org.eclipse.jface.viewers.ILabelDecorator`

    - #### decorateFont

          public org.eclipse.swt.graphics.Font decorateFont​(java.lang.Object element)

      Specified by:
        `decorateFont` in interface `org.eclipse.jface.viewers.IFontDecorator`

    - #### decorateForeground

          public org.eclipse.swt.graphics.Color decorateForeground​(java.lang.Object element)

      Specified by:
        `decorateForeground` in interface `org.eclipse.jface.viewers.IColorDecorator`

    - #### decorateBackground

          public org.eclipse.swt.graphics.Color decorateBackground​(java.lang.Object element)

      Specified by:
        `decorateBackground` in interface `org.eclipse.jface.viewers.IColorDecorator`

    - #### prepareDecoration

          public boolean prepareDecoration​(java.lang.Object element,
                                           java.lang.String originalText)

      Specified by:
        `prepareDecoration` in interface `org.eclipse.jface.viewers.IDelayedLabelDecorator`